package com.qmth.distributed.print.business.bean.dto.obe;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.ObeCultureProgramTarget;

public class MatrixTargetDto extends ObeCultureProgramTarget {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private String name;
    private Boolean enable;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }
}
